Site

Site

Overview

CleanPipe Protection Site API

Version information

Version : 1.0.0.BETA

License information

Terms of service : https://www.nexusguard.com/

URI scheme

Host : {your_basic_domain}
BasePath : /api
Schemes : HTTPS

Paths

List mitigation group profiles.

GET /spe/customer/{customer_id}/cp/mitigation_group_profiles

Description

This API retrieves mitigation group profile list, used for create site in CleanPipe Protection. See notes on individual parameters below.

Parameters

Type Name Description Schema
Path customer_id
required
Unique identifier of a customer. Can be obtained by invoking this API. string
Query access_token
required
Access token used to authenticate your access to the API.Can be obtained by invoking this API. string
Query ip_type
optional
IP type of the site,should be ‘ipv4’ or ‘ipv6’,default value is ‘ipv4’. string

Responses

HTTP Code Description Schema
200 This is the returned result. Response 200

Response 200

Name Description Schema
code
optional
Error code integer
msg
optional
Error message string
result
optional
The capture status and the address to download captured content. < result > array

result

Name Description Schema
profile_id
optional
Unique identifier of the profile. integer
profile_name
optional
Name of the profile. string

Consumes

Produces

Security

Type Name
apiKey ApiKeyAuth

List service plans.

GET /spe/customer/{customer_id}/cp/service_plan

Description

This API retrieves service plan list, used for create site in CleanPipe Protection. See notes on individual parameters below.

Parameters

Type Name Description Schema
Path customer_id
required
Unique identifier of a customer. Can be obtained by invoking this API. string
Query access_token
required
Access token used to authenticate your access to the API.Can be obtained by invoking this API. string

Responses

HTTP Code Description Schema
200 This is the returned result. Response 200

Response 200

Name Description Schema
code
optional
Error code integer
msg
optional
Error message string
result
optional
The capture status and the address to download captured content. < string > array

Consumes

Produces

Security

Type Name
apiKey ApiKeyAuth

Create CleanPipe Protection site.

POST /spe/customer/{customer_id}/cp/site

Description

Through this API, the site under CleanPipe Protection is created based on the user-provided information. Please see notes on individual parameters below.

Parameters

Type Name Description Schema
Path customer_id
required
Unique identifier of a customer. Can be obtained by invoking this API. string
Query access_token
required
Access token used to authenticate your access to the API.Can be obtained by invoking this API. string
Body site
optional
Basic site information. site

site

Name Description Schema
cidr
required
The network resources to be protected, in CIDR form. < string > array
ip_type
optional
IP type of the site,should be ‘ipv4’ or ‘ipv6’,default value is ‘ipv4’ string
mitigation_group_profile_id
required
The mitigation group profile id specified when creating site. integer
site_desc
optional
The description of the site created can be added, limited 0 to 512 characters. string
site_name
required
The site name which only allows letters, numbers and underscores, limited 2 to 32 characters. string

Responses

HTTP Code Description Schema
200 This is the returned result. Response 200

Response 200

Name Description Schema
code
optional
Error code integer
msg
optional
Error message string
result
optional
result

result

Name Description Schema
site_id
optional
Site ID, an unique identifier assigned to each Site. string

Consumes

Produces

Security

Type Name
apiKey ApiKeyAuth

Get site details.

GET /spe/customer/{customer_id}/cp/site/{site_id}

Description

This API helps retrieve the info of a site under CleanPipe Protection using the Site ID provided. Please see notes of individual parameters below.

Parameters

Type Name Description Schema
Path customer_id
required
Unique identifier of a customer. Can be obtained by invoking this API. string
Path site_id
required
Unique identifier of a site.Can be obtained by invoking this API for site_id. string
Query access_token
required
Access token used to authenticate your access to the API.Can be obtained by invoking this API. string

Responses

HTTP Code Description Schema
200 This is the returned result. Response 200

Response 200

Name Description Schema
code
optional
Error code integer
msg
optional
Error message string
result
optional
Info of the site result

result

Name Description Schema
cidr
optional
< string > array
ip_type
optional
IP type of the site. string
mitigation_group_profile_id
optional
The mitigation group profile id specified when creating site. integer
service_plan
optional
The service plan the client has signed up for. string
site_desc
optional
The description of the site created can be added. string
site_name
optional
The site name which only allows letters, numbers and underscores, limited to 20 characters. string

Consumes

Produces

Security

Type Name
apiKey ApiKeyAuth

Update CleanPipe Protection site.

PUT /spe/customer/{customer_id}/cp/site/{site_id}

Description

Through this API, the site under CleanPile Protection is updated based on the user-provided information. Please see notes on individual parameters below.

Parameters

Type Name Description Schema
Path customer_id
required
Unique identifier of a customer. Can be obtained by invoking this API. string
Path site_id
required
Unique identifier of a site.Can be obtained by invoking this API for site_id. string
Query access_token
required
Access token used to authenticate your access to the API.Can be obtained by invoking this API. string
Body site
optional
Basic site information. site

site

Name Description Schema
cidr
optional
The network resources to be protected, in CIDR form. < string > array
mitigation_group_profile_id
optional
The mitigation group profile id specified when creating site. integer
site_desc
optional
The description of the site created can be added.limited 0 to 512 characters. string

Responses

HTTP Code Description Schema
200 This is the returned result. Response 200

Response 200

Name Description Schema
code
optional
Error code integer
msg
optional
Error message string
result
optional
result

result

Name Description Schema
site_id
optional
Site ID, an unique identifier assigned to each Site. string

Consumes

Produces

Security

Type Name
apiKey ApiKeyAuth

Delete CleanPipe Protection site.

DELETE /spe/customer/{customer_id}/cp/site/{site_id}

Description

Through this API, the site under CleanPipe Protection is deleted based on the user-provided information. Please see notes on individual parameters below.

Parameters

Type Name Description Schema
Path customer_id
required
Unique identifier of a customer. Can be obtained by invoking this API. string
Path site_id
required
Unique identifier of a site.Can be obtained by invoking this API for site_id. string
Query access_token
required
Access token used to authenticate your access to the API.Can be obtained by invoking this API. string

Responses

HTTP Code Description Schema
200 This is the returned result. Response 200

Response 200

Name Description Schema
code
optional
Error code integer
msg
optional
Error message string

Consumes

Produces

Security

Type Name
apiKey ApiKeyAuth

Create host.

POST /spe/customer/{customer_id}/cp/site/{site_id}/host

Description

Through this API, the host of site under CleanPipe Protection is created based on the user-provided information. Please see notes on individual parameters below.

Parameters

Type Name Description Schema
Path customer_id
required
Unique identifier of a customer. Can be obtained by invoking this API. string
Path site_id
required
Unique identifier of a site.Can be obtained by invoking this API for site_id. string
Query access_token
required
Access token used to authenticate your access to the API.Can be obtained by invoking this API. string
Body host
optional
Basic site information. host

host

Name Description Schema
cidr
required
The network resources to be protected in CIDR form, here only need to enter the IP address. < string > array
host_desc
optional
The description of the host created can be added, limited 0 to 512 characters. string
host_name
required
The host name which only allows letters, numbers and underscores, limited 2 to 32 characters. string

Responses

HTTP Code Description Schema
200 This is the returned result. Response 200

Response 200

Name Description Schema
code
optional
Error code integer
msg
optional
Error message string
result
optional
result

result

Name Description Schema
host_id
optional
Host ID, an unique identifier assigned to each Site. string

Consumes

Produces

Security

Type Name
apiKey ApiKeyAuth

Get host details.

GET /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}

Description

This API helps retrieve the info of a host of site under CleanPipe Protection using the Site ID provided. Please see notes of individual parameters below.

Parameters

Type Name Description Schema
Path customer_id
required
Unique identifier of a customer. Can be obtained by invoking this API. string
Path host_id
required
Unique identifier of a host.Can be obtained by invoking this API for host_id. string
Path site_id
required
Unique identifier of a site.Can be obtained by invoking this API for site_id. string
Query access_token
required
Access token used to authenticate your access to the API.Can be obtained by invoking this API. string

Responses

HTTP Code Description Schema
200 This is the returned result. Response 200

Response 200

Name Description Schema
code
optional
Error code integer
msg
optional
Error message string
result
optional
Info of the host result

result

Name Description Schema
cidr
optional
< string > array
host_desc
optional
The description of the host. string
host_name
optional
The host name which only allows letters, numbers and underscores, limited to 20 characters. string

Consumes

Produces

Security

Type Name
apiKey ApiKeyAuth

Update host.

PUT /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}

Description

Through this API, the host of site under CleanPipe Protection is updated based on the user-provided information. Please see notes on individual parameters below.

Parameters

Type Name Description Schema
Path customer_id
required
Unique identifier of a customer. Can be obtained by invoking this API. string
Path host_id
required
Unique identifier of a host.Can be obtained by invoking this API for host_id. string
Path site_id
required
Unique identifier of a site.Can be obtained by invoking this API for site_id. string
Query access_token
required
Access token used to authenticate your access to the API.Can be obtained by invoking this API. string
Body host
optional
Basic site information. host

host

Name Description Schema
cidr
optional
The network resources to be protected in CIDR form, here only need to enter the IP address. < string > array
host_desc
optional
The description of the host created can be added, limited 0 to 512 characters. string

Responses

HTTP Code Description Schema
200 This is the returned result. Response 200

Response 200

Name Description Schema
code
optional
Error code integer
msg
optional
Error message string
result
optional
result

result

Name Description Schema
host_id
optional
Host ID, an unique identifier assigned to each Site. string

Consumes

Produces

Security

Type Name
apiKey ApiKeyAuth

Delete host.

DELETE /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}

Description

Through this API, the host of site under CleanPipe Protection is deleted based on the user-provided information. Please see notes on individual parameters below.

Parameters

Type Name Description Schema
Path customer_id
required
Unique identifier of a customer. Can be obtained by invoking this API. string
Path host_id
required
Unique identifier of a host.Can be obtained by invoking this API for host_id. string
Path site_id
required
Unique identifier of a site.Can be obtained by invoking this API for site_id. string
Query access_token
required
Access token used to authenticate your access to the API.Can be obtained by invoking this API. string

Responses

HTTP Code Description Schema
200 This is the returned result. Response 200

Response 200

Name Description Schema
code
optional
Error code integer
msg
optional
Error message string

Consumes

Produces

Security

Type Name
apiKey ApiKeyAuth

List hosts for site.

GET /spe/customer/{customer_id}/cp/site/{site_id}/hosts

Description

This API helps retrieve the host list of site under CleanPipe Protection using the Site ID provided. Please see notes of individual parameters below.

Parameters

Type Name Description Schema
Path customer_id
required
Unique identifier of a customer. Can be obtained by invoking this API. string
Path site_id
required
Unique identifier of a site.Can be obtained by invoking this API for site_id. string
Query access_token
required
Access token used to authenticate your access to the API.Can be obtained by invoking this API. string

Responses

HTTP Code Description Schema
200 This is the returned result. Response 200

Response 200

Name Description Schema
code
optional
Error code integer
msg
optional
Error message string
result
optional
list of the host < result > array

result

Name Description Schema
cidr
optional
< string > array
host_desc
optional
The description of the host. string
host_id
optional
Unique identifier of a host. string
host_name
optional
The host name which only allows letters, numbers and underscores, limited to 20 characters. string

Consumes

Produces

Security

Type Name
apiKey ApiKeyAuth

List sites for customer.

GET /spe/customer/{customer_id}/cp/sites

Description

This API retrieves a complete list of sites under CleanPipe Protection associated with a certain Customer ID. This is Customer ID is a 3-digit integer in the Admin Portal and unique to each customer. In this context, what you get and give is an encoded string, e.g., 7423b77da0a97c33. See notes on individual parameters below.

Parameters

Type Name Description Schema
Path customer_id
required
Unique identifier of a customer. Can be obtained by invoking this API. string
Query access_token
required
Access token used to authenticate your access to the API.Can be obtained by invoking this API. string

Responses

HTTP Code Description Schema
200 This is the returned result. Response 200

Response 200

Name Description Schema
code
optional
Error code integer
msg
optional
Error message string
result
optional
The list of CleanPipe Protection sites associated with the given Customer ID. < result > array

result

Name Description Schema
cidr
optional
The network resources to be protected, in CIDR form. < string > array
service_plan
optional
The service plan the client has signed up for. string
site_desc
optional
Description about the site. string
site_id
optional
Site ID, an unique identifier assigned to each Site. string
site_name
optional
Site Name, name of the site. string

Consumes

Produces

Security

Type Name
apiKey ApiKeyAuth

Definitions

Result

The returned result.

Name Description Schema
code
optional
Error code integer
msg
optional
Error message string

Security

ApiKeyAuth

Type : apiKey
Name : access_token
In : QUERY